AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.IO
ServerSocket Class
ServerSocket Constructor
ServerSocket Methods

| ServerSocket Constructor

Initializes a new instance of the ServerSocket class

Namespace: AsterNET.IO
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ServerSocket(
    	int port,
    	IPAddress bindAddress,
    	Encoding encoding
    )

    Public Sub New (
    	port As Integer,
    	bindAddress As IPAddress,
    	encoding As Encoding
    )

    public:
    ServerSocket(
    	int port,
    	IPAddress^ bindAddress,
    	Encoding^ encoding
    )

    new :
            port : int *
            bindAddress : IPAddress *
            encoding : Encoding -> ServerSocket

#### Parameters

port
  Type: System
  Int32

  [Missing <param name="port"/> documentation for "M:AsterNET.IO.ServerSocket.#ctor(System.Int32,System.Net.IPAddress,System.Text.Encoding)"]

bindAddress
  Type: System.Net
  IPAddress

  [Missing <param name="bindAddress"/> documentation for "M:AsterNET.IO.ServerSocket.#ctor(System.Int32,System.Net.IPAddress,System.Text.Encoding)"]

encoding
  Type: System.Text
  Encoding

  [Missing <param name="encoding"/> documentation for "M:AsterNET.IO.ServerSocket.#ctor(System.Int32,System.Net.IPAddress,System.Text.Encoding)"]

See Also

#### Reference

ServerSocket Class
AsterNET.IO Namespace